<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Tipo de Piso</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <p:growl id="msj"/>
                <p:fieldset legend="Agregar Tipo de Piso" style="margin-bottom:20px">
                    <h:form id="form">
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <p:outputLabel value="Tipo de Piso" style="margin-right:25px;"/>
                            <p:inputText value="#{tipo_pisoController.tipo_piso.tipo}"/>
                          <div class="registrar"> 
                            <p:commandButton  style="top:6px" icon="pi pi-save"  value="Registrar" rendered="#{tipo_pisoController.tipo_piso.tipo==null}" actionListener="#{tipo_pisoController.insertar()}" update="form :tabla :msj"/>
                          </div>
                            <p:commandButton icon="pi pi-times" value="Cancelar" rendered="#{tipo_pisoController.tipo_piso.tipo!=null}" actionListener="#{tipo_pisoController.init()}" update="form :tabla :msj"/>
                            <p:commandButton icon="pi pi-refresh" value="Actualizar" rendered="#{tipo_pisoController.tipo_piso.tipo!=null}" actionListener="#{tipo_pisoController.editar()}" update="form :tabla :msj"/>

                        </h:panelGrid>
                    </h:form>
                </p:fieldset>

                <p:fieldset legend="Listado de Tipos de Piso">
                    <h:form id="tabla" class="dosColumnas">
                        <p:dataTable value="#{tipo_pisoController.tipo_pisoList}" var="tipos" paginator="true" rows="5" reflow="true" style="width: 80%; margin: auto; margin-top:2px">
                            <p:column headerText="Tipo de piso">
                                <p:outputLabel value="#{tipos.tipo}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash" value="Eliminar" actionListener="#{tipo_pisoController.eliminar(tipos)}" update=":tabla :msj"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil"  value="Editar" actionListener="#{tipo_pisoController.consultarById(tipos)}" update=":form"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

